<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Malware Research Control Platform</title>
    {% load static %}
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!--<link rel="stylesheet" href="{% static 'css_custom/pcp_custom_css.css' %}">-->
    <link rel="stylesheet" href="{% static 'AdminLTE/bower_components/bootstrap/dist/css/bootstrap.css' %}">
    <link rel="stylesheet" href="{% static 'AdminLTE/bower_components/font-awesome/css/font-awesome.min.css' %}">
    <link rel="stylesheet" href="{% static 'AdminLTE/bower_components/Ionicons/css/ionicons.min.css' %}">
    <link rel="stylesheet" href="{% static 'AdminLTE/dist/css/AdminLTE.min.css' %}">

    <link rel="stylesheet" href="{% static 'AdminLTE/dist/css/skins/skin-blue.min.css' %}">
    <link rel="stylesheet" href="{% static 'Select/css/select.dataTables.css' %}">
    <link rel="stylesheet" href="{% static 'DataTables/datatables.min.css' %}">
    <link rel="stylesheet" href="{% static 'external_jquery/jquery-ui.css' %}">
    <link rel="stylesheet" href="{% static 'css_custom/datetime-picker.css' %}">
    <link rel="stylesheet" href="{% static 'External_css_files/animate.css' %}">

    <style>
        .modal-custom {
            display: none;
            position: fixed;
            z-index: 2;
            left:0;
            top: 0;
            width: 100%;
            height: 100%;
            overflow: auto;
            background-color: rgb(0,0,0);
            background-color: rgba(0,0,0,0.4);
            padding-top: 60px;
        }
        .modal-custom-content {
            background-color: #fefefe;
            margin: 5% auto 15% auto;
            border: 1px solid #888;
            width: 20%
        }
        .custom-close {
            position: absolute;
            right: 25px;
            top: 0;
            color: #000;
            font-size: 35px;
            font-weight: bold;
        }
        .custom-close:hover,
        .custom-close:focus {
            color: red;
            cursor: pointer;
        }
        .custom-animate {
            -webkit-animation: animatezoom 0.6s;
            animation: animatezoom 0.6s
        }
    </style>

</head>
<body class="hold-transition login-page">
<div class="login-box">
    <div class="login-box-body">
        <p class="login-box-msg">Sign in</p>
        <!--action="/"-->
        <form method="post" id="login_form_id">
        <!--<form action="/action/login/" method="post" id="login_form_id">-->
            {% csrf_token %}
            <!--username-->
            <div class="form-group has-feedback">
                <input type="text" class="form-control" placeholder="Username" id="username_id" maxlength="254" name="username" required>
                <span class="glyphicon glyphicon-user form-control-feedback"></span>
            </div>
            <!--/username-->

            <!--password-->
            <div class="form-group has-feedback">
                <input type="password" class="form-control" placeholder="Password" id="password_id" name="password" required>
                <span class="glyphicon glyphicon-lock form-control-feedback"></span>
            </div>
            <!--/password-->

            <!--reset password-->
            <!--<div class="row">-->
                <!--<div class="col-xs-8">-->
                    <!--<a href="#">Reset Password</a>-->
                <!--</div>-->
            <!--</div>-->
            <!--/reset password-->

            <!--Default Admin-->
            <div class="row">
                <div class="col-xs-8">
                    <a href="/default_admin/">Default Admin</a>
                </div>
            </div>
            <!--/Default Admin-->

            <div class="row">
                <!--create account-->
                <div class="col-xs-8">
                    <a id="create_account_id" href="#">Create Account</a>
                </div>
                <!--/create account-->

                <!--sign in-->
                <div class="col-xs-4">
                    <label><button>Sign In</button></label>
                </div>
                <!--/sign in-->
            </div>
        </form>
    </div>
</div>

<!--Modal Form-->
<div id="modal_create_user" class="modal-custom" style="display: none;">
    <form method="post" action="/action/create_account/" class="modal-custom-content custom-animate">
        {% csrf_token %}
        <div class="modal-header">
            <span onclick="document.getElementById('modal_create_user').style.display='none'" class="close" title="Close Modal">&times;</span>
            <h4 class="modal-title" id="controller-modal-label">Create Account</h4>
        </div>

        <div class="container">
            <!--User Role Type-->
            <label><b>User Role</b></label>
            <select style="width: 27%;" class="form-control create_user_role" id=create_user_role" name="create_user_role">
                <option value="" disabled selected > User Role </option>
                <option value="admin">Admin</option>
                <option value="user">User</option>
            </select>
            <!--/User Role Type-->

            <!--Create Username-->
            <label><b>Username</b></label>
            <input style="width: 27%;" type="text" class="form-control" placeholder="Username" id="create_username" maxlength="254" name="create_username" required>
            <!--/Create Username-->

            <!--Create Password-->
            <label><b>Password</b></label>
            <input style="width: 27%;" type="password" class="form-control" placeholder="Password" id="create_password" name="create_password" required>
            <!--/Create Password-->
        </div>

        <div class="modal-footer">
            <button type="submit" class="btn btn-primary" id="submit_create_account_id">Submit</button>
        </div>
    </form>
</div>
<!--/Modal Form-->

<!-- JS SCRIPTS -->
<!-- jQuery 3 -->
<script src="{% static 'AdminLTE/bower_components/jquery/dist/jquery.min.js' %}"></script>
<!-- Bootstrap 3.3.7 -->
<script src="{% static 'AdminLTE/bower_components/bootstrap/dist/js/bootstrap.min.js' %}"></script>
<!-- AdminLTE App -->
<script src="{% static 'AdminLTE/dist/js/adminlte.min.js' %}"></script>
<script src="{% static 'external_jquery/jquery-ui.js' %}"></script>
<!--custom registration js file-->
<script src="{% static 'js_custom/registration_app/pcp_custom_registration.js' %}"></script>

</body>
</html>